.\"	$NetBSD: hostapd.8,v 1.1 2006/04/12 15:37:07 rpaulo Exp $
.\"
.\" Copyright (c) 2005 Sam Leffler <sam@errno.com>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/usr.sbin/wpa/hostapd/hostapd.8,v 1.2 2005/06/27 06:40:43 ru Exp $
.\"
.Dd June 16, 2005
.Dt HOSTAPD 8
.Os
.Sh NAME
.Nm hostapd
.Nd "authenticator for IEEE 802.11 networks"
.Sh SYNOPSIS
.Nm
.Op Fl BdhKtv
.Ar config-file ...
.Sh DESCRIPTION
The
.Nm
utility
is an authenticator for IEEE 802.11 networks.
It provides full support for WPA/IEEE 802.11i and
can also act as an IEEE 802.1X Authenticator with a suitable
backend Authentication Server (typically
.Tn FreeRADIUS ) .
The
.Nm
utility
implements the authentication protocols that piggyback on top
of the normal IEEE 802.11 protocol mechanisms.
To use
.Nm
as an authenticator, the underlying device must support some
basic functionality such as the ability to set security information
in the 802.11 management frames.
Beware that not all devices have this support.
.Pp
The
.Nm
utility
is designed to be a
.Dq daemon
program that runs in the
background and acts as the backend component controlling
the wireless connection.
It supports separate frontend programs such as the
text-based frontend,
.Xr hostapd_cli 8 .
.Pp
The following arguments must be specified on the command line:
.Bl -tag -width indent
.It Ar config-file
Use the settings in the specified configuration file; the name of
the specified wireless interface is contained in this file.
See
.Xr hostapd.conf 5
for a description of the configuration file syntax.
.Pp
Changes to the configuration file can be reloaded by sending a
.Dv SIGHUP
to the
.Nm
processor or with the
.Xr hostapd_cli 8
utility, using
.Dq Li "hostapd_cli reconfigure" .
.El
.Sh OPTIONS
The options are as follows:
.Bl -tag -width indent
.It Fl d
Enable debugging messages.
If this option is supplied twice, more verbose messages are displayed.
.It Fl h
Show help text.
.It Fl t
Include timestamps in debugging output.
.It Fl v
Display version information on the terminal and exit.
.It Fl B
Detach from the controlling terminal and run as a daemon process
in the background.
.It Fl K
Include key information in debugging output.
.El
.Sh SEE ALSO
.Xr ath 4 ,
.Xr ipw 4 ,
.Xr iwi 4 ,
.Xr ral 4 ,
.Xr wi 4 ,
.Xr hostapd.conf 5 ,
.Xr hostapd_cli 8 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 4.0 .
.Sh AUTHORS
The
.Nm
utility was written by
.An Jouni Malinen Aq jkmaline@cc.hut.fi .
This manual page is derived from the
.Pa README
file included in the
.Nm
distribution.
